Subject: Re: sending email from Cygwin
From: [email-masked]
To: "Pierre A. Humblet" <[email-masked]>
Cc: [email-masked]
Date: Thu, 15 Jul 2004 12:02:14 +1000 (EST)

On 14 Jul, Pierre A. Humblet wrote:
>  Thanks for the feedback. 
>   
>  The problem is that the exim startup code thinks that you are a privileged 
>  user (see "privileged 1" above). It does that by checking that you have the 
>  "Create Token" privilege (you have not answered my question about having 
>  given yourself unusual privileges).  
>  However you are not in the admins group (544), so you can't setuid after 
>  all. 

So that the main user of the machine is able to install software, they
are given admin privileges.  So, I have admin privileges.  I can find
out more details about what that precisely means by asking our Windows
sysadmin people, if it would help?

>  If you don't have that privilege, there is a bug somewhere. That will require 
>  more testing. 
>  If you have it, I would recommend that you remove it. It opens vulnerabilities 
>  for no good reason, AFAIK. 
>  If there is no bug, I will modify exim to take care of your peculiar 
>  environment. 
>  That will be with the next official release. 
>    
>  >$ uname -a 
>  >CYGWIN_NT-5.1 DOYLE 1.5.10(0.116/4/2) 2004-05-25 22:07 i686 unknown 
>  unknown Cygwin 
>  > 
>   
>  Pierre 
>   
>  P.S.: On normal Unix systems exim is a suid program starting as root. 
>  When it's not necessary to be root, it setuid to a non privileged account. 
>  That explains the "privilege not needed" comment in the error message.  
>  That call fails in your case because you are not privileged enough :( 

Ah.  So it's trying to say:
    "root privilege not needed (you have admin privileges)"
or something like that.

luke

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/